Package weka.classifiers.lazy.kstar

# Class KStarCache.TableEntry

java.lang.Object
weka.classifiers.lazy.kstar.KStarCache.TableEntry

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `KStarCache`

public class KStarCache.TableEntry extends Object implements Serializable, RevisionHandler
Hashtable collision list.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`hash`
attribute value hash code
`double`
`key`
attribute value
`KStarCache.TableEntry`
`next`
next table entry (separate chaining)
`double`
`pmiss`
transformation probability to missing value
`double`
`value`
scale factor or stop parameter

## Constructor Summary

Constructors
Constructor
Description
`TableEntry(int hash, double key, double value, double pmiss, KStarCache.TableEntry next)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hash

public int hash
attribute value hash code

### key

public double key
attribute value

### value

public double value
scale factor or stop parameter

### pmiss

public double pmiss
transformation probability to missing value

### next

public KStarCache.TableEntry next
next table entry (separate chaining)

## Constructor Details

### TableEntry

public TableEntry(int hash, double key, double value, double pmiss, KStarCache.TableEntry next)
Constructor

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision